Subject: Fixing author/email fields in commit messages

From: Jacob Kroon <[email-masked]>
Date: Sun, 19 Feb 2006 19:45:05 +0100

When I started my git repository for my project, I never setup 
GIT_AUTHOR_NAME etc. correctly,
so my commit messages used the default information, 
"<jacob@skeletor.(none)>", "skeletor" being the
hostname of the computer I'm working on. I'd like to change it so that 
the messages will contain correct
information about my e-mail and username. I noticed that this question 
has been brought up here before
and that the solution might be to use git-convert-objects, but that it 
might need some modifications.

Has anyone come up with a working tool for this task ?

I know how to make the future commits look as expected.

//Jacob